## perspective perspective |

## Properties

GValueArray * | matrix | Read / Write

## Types and Values

struct | GstPerspective

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstGeometricTransform
                                ╰── GstPerspective

## Description

The perspective element applies a 2D perspective transform.

#### Example launch line

    1
    gst-launch-1.0 -v videotestsrc ! perspective ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | geometrictransform
author | Antonio Ospite <ospite@studenti.unina.it>
class | Transform/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ ARGB, BGR, BGRA, BGRx, RGB, RGBA, RGBx, AYUV, xBGR, xRGB, GRAY8, GRAY16_BE, GRAY16_LE }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstPerspective

    struct GstPerspective;

## Property Details

### The `“matrix”` property

      “matrix”                   GValueArray *

Matrix of dimension 3x3 to use in the 2D transform, passed as an array of 9 elements in row-major order.

Flags: Read / Write

## See Also

geometrictransform